<template>
  <button
    v-bind:class="[componentClass]"
    :title="getTitle"
    v-on:click="setLookupSelection"
  >{{getLabel}}</button>
</template>


<script>
import base from "./c-base";

const props = {
  dataFieldIdent: {
    type: String,
    default: null
  },
  dataFieldIdent4Label: {
    type: String,
    default: null
  },
  dataFieldIdent4Title: {
    type: String,
    default: null
  },
  label: {
    type: String,
    default: null
  }
};

export default {
  extends: base,
  props,
  computed: {
    getLabel: function() {
      return this.label || this.getDataFieldValue(this.dataFieldIdent4Label);
    },
    getTitle: function() {
      return this.getDataFieldValue(this.dataFieldIdent4Title);
    }
  }
};
</script>